Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hornetq.api.core.management
Enum NotificationType

    java.lang.Object
      java.lang.Enum<NotificationType>
          org.hornetq.api.core.management.NotificationType

All Implemented Interfaces:
  Serializable, Comparable<NotificationType>

    public enum NotificationType

extends Enum<NotificationType>

Types of notification emmitted by HornetQ servers.

Author:
  Jeff Mesnil

Enum Constant Summary
`ACCEPTOR_STARTED`
`ACCEPTOR_STOPPED`
`BINDING_ADDED`
`BINDING_REMOVED`
`BRIDGE_STARTED`
`BRIDGE_STOPPED`
`BROADCAST_GROUP_STARTED`
`BROADCAST_GROUP_STOPPED`
`CLUSTER_CONNECTION_STARTED`
`CLUSTER_CONNECTION_STOPPED`
`CONSUMER_CLOSED`
`CONSUMER_CREATED`
`DISCOVERY_GROUP_STARTED`
`DISCOVERY_GROUP_STOPPED`
`PROPOSAL`
`PROPOSAL_RESPONSE`
`SECURITY_AUTHENTICATION_VIOLATION`
`SECURITY_PERMISSION_VIOLATION`

Method Summary
`int` | `intValue()`
`static NotificationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NotificationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BINDING_ADDED

    public static final NotificationType BINDING_ADDED

### BINDING_REMOVED

    public static final NotificationType BINDING_REMOVED

### CONSUMER_CREATED

    public static final NotificationType CONSUMER_CREATED

### CONSUMER_CLOSED

    public static final NotificationType CONSUMER_CLOSED

### SECURITY_AUTHENTICATION_VIOLATION

    public static final NotificationType SECURITY_AUTHENTICATION_VIOLATION

### SECURITY_PERMISSION_VIOLATION

    public static final NotificationType SECURITY_PERMISSION_VIOLATION

### DISCOVERY_GROUP_STARTED

    public static final NotificationType DISCOVERY_GROUP_STARTED

### DISCOVERY_GROUP_STOPPED

    public static final NotificationType DISCOVERY_GROUP_STOPPED

### BROADCAST_GROUP_STARTED

    public static final NotificationType BROADCAST_GROUP_STARTED

### BROADCAST_GROUP_STOPPED

    public static final NotificationType BROADCAST_GROUP_STOPPED

### BRIDGE_STARTED

    public static final NotificationType BRIDGE_STARTED

### BRIDGE_STOPPED

    public static final NotificationType BRIDGE_STOPPED

### CLUSTER_CONNECTION_STARTED

    public static final NotificationType CLUSTER_CONNECTION_STARTED

### CLUSTER_CONNECTION_STOPPED

    public static final NotificationType CLUSTER_CONNECTION_STOPPED

### ACCEPTOR_STARTED

    public static final NotificationType ACCEPTOR_STARTED

### ACCEPTOR_STOPPED

    public static final NotificationType ACCEPTOR_STOPPED

### PROPOSAL

    public static final NotificationType PROPOSAL

### PROPOSAL_RESPONSE

    public static final NotificationType PROPOSAL_RESPONSE

Method Detail

### values

    public static NotificationType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NotificationType c : NotificationType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NotificationType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### intValue

    public int intValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009 Red Hat Inc. All Rights Reserved.